%define name nlpr
%define version 0.0.1
%define release 2mdk

Name: %{name}
Version: %{version}
Release: %{release}
Summary: A GUI wrapper for printer filters.
Source0: nlpr-0.0.1.tar.bz2
Group: System/Internationalization
Requires: perl-gettext perl-GTK bg5ps
Copyright: GPL
BuildRoot: %{_tmppath}/%{name}-root

%description

nlpr stands for 'another lpr'. Actually it is a GUI wrapper for printer
filters. It takes files or standard input stream as input, call the 
filter program correspondently, and give the result back to user to 
preview or send the result directly to the printer. 

For the moment, it works as a frontend of 'bg5ps' to convert ther uninter-
pretable Big5 or GB encoded Postscript to be understandable for Ghostscript
Printer. But it was designed to be general wrapper for printer filters, so 
adding new filter programs to this wrapper is very easy.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
make CFLAGS="$RPM_OPT_FLAGS" PREFIX="$RPM_BUILD_ROOT"

%install
make install PREFIX="$RPM_BUILD_ROOT"
%find_lang %name
%find_lang appl

%clean
rm -rf $RPM_BUILD_ROOT

# we don't use noreplace, stupid. we have a user defined one in ~/ ...

%files -f %name.lang
%defattr(-,root,root)
%doc *.conf
%{_bindir}/*
%config %{_sysconfdir}/nlpr/*
/usr/share/locale/*/LC_MESSAGES/appl.mo

%changelog
* Thu Mar 01 2001 Alex DU <dxiaoming@mandrakesoft.com> 0.0.1-2mdk
- Add a bonus: application launcher in locale. :-)

* Mon Feb 26 2001 Alex DU <dxiaoming@mandrakesoft.com> 0.0.1-1mdk
- first mandrake rpm.



